import React, { useEffect, useState } from "react";
import {
  Button,
  Card,
  Descriptions
} from "antd";

export default (props) => {
  const { list } = props;
  return (
    <Card>
      <Descriptions layout="vertical" bordered={true}>
        <Descriptions.Item label="企业注册地">{list?.registrationLocation}</Descriptions.Item>
        <Descriptions.Item label="企业中文名">{list?.companyNameCn}</Descriptions.Item>
        <Descriptions.Item label="企业英文名">{list?.companyNameEn}</Descriptions.Item>
        <Descriptions.Item label="是否为上市企业">{list?.isListedCompany == 0 ? '否' : '是'}</Descriptions.Item>
        <Descriptions.Item label="申请人">{list?.sysUserMap?.userName}</Descriptions.Item>
        <Descriptions.Item label="手机号">{list?.sysUserMap?.phone}</Descriptions.Item>
      </Descriptions>
    </Card>
  )
}