import React, { useEffect, useState } from "react";
import {
  Button,
  Card,
  Descriptions
} from "antd";

export default (props) => {
  const { list, classification } = props;

  return (
    list?.map((item, index) => {
      return (
        <Card style={{ marginBottom: '24px' }}>
          <Descriptions title={`信息${index + 1}`} layout="vertical" bordered={true}>
            <Descriptions.Item label="受益人姓名">{item?.beneficiaryName}</Descriptions.Item>
            <Descriptions.Item label="持股比例">{item?.shareholdingRatio}</Descriptions.Item>
            <Descriptions.Item label="股权架构图">
              {classification(item?.equityStructureChart)}
            </Descriptions.Item>
          </Descriptions>
        </Card>
      )
    })
  )
}